package ru.yandex.webmaster3.storage.util.yt.transfer;

import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.UUID;

/**
 * Created by Oleg Bazdyrev on 27/08/2018.
 */
public class YtTransferManagerMutation {

    private final UUID id;
    private final boolean retry;

    public YtTransferManagerMutation(UUID id, boolean retry) {
        this.id = id;
        this.retry = retry;
    }

    @JsonProperty("mutation_id")
    public String getMutationId() {
        return id.toString();
    }

    public boolean isRetry() {
        return retry;
    }
}
